package za.org.treehouse.hypoalarm;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.util.Log;

import java.util.Calendar;

public class BootReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        SharedPreferences sharedPref = PreferenceManager.getDefaultSharedPreferences(context);
        if (intent.getAction().equals("android.intent.action.BOOT_COMPLETED")) {
            String alarmTimeStr = sharedPref.getString(context.getString(R.string.AlarmTimePref), null);
            Calendar cal = MainActivity.TimeStringToCalendar(alarmTimeStr);
            Log.d("BootReceiver", "Booting: Setting alarm for " + MainActivity.debugDate(cal));
            MainActivity.resetAlarm(context, cal);
        }
    }
}
